Bug 1127517 - Each vdb should be protected by its own security-domain
Summary: Each vdb should be protected by its own security-domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER2
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 03:29 UTC by Hisanobu Okuda
Modified: 2018-12-06 17:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Each VDB is now protected by its own security-domain like a servlet and an EJB. Tis improves the security workflow.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:56:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-923 Blocker Closed Teiid odata - provide multiple context roots 2016-06-17 13:22:08 UTC
JBoss Issue Tracker TEIID-2863 Major Closed Allow both gssapi and username/password authentication on the same transport 2016-06-17 13:22:08 UTC
JBoss Issue Tracker TEIID-3068 Major Closed Each vdb should be protected by its own security-domain 2016-06-17 13:22:08 UTC

Description Hisanobu Okuda 2014-08-07 03:29:33 UTC
Description of problem:
Every vdbs are protected by single security-realm. It does not fit some enterprise requirement on a security workflow. Ideally, each vdb should be protected by its own security-domain like a servlet and an EJB.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 JBoss JIRA Server 2014-08-07 11:57:13 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3068 to Resolved

Comment 5 JBoss JIRA Server 2014-10-21 13:17:10 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3068 to Closed


Note You need to log in before you can comment on or make changes to this bug.